Bug 1427918 - qpid-proton: FTBFS - error: -Wformat-security ignored without -Wformat [-Werror=format-security]
Summary: qpid-proton: FTBFS - error: -Wformat-security ignored without -Wformat [-Werr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-proton
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Irina Boverman
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 14:05 UTC by Jitka Plesnikova
Modified: 2017-06-09 18:55 UTC (History)
2 users (show)

Fixed In Version: qpid-proton-0.17.0-2.fc25 qpid-proton-0.17.0-2.fc24 qpid-proton-0.17.0-2.el6 qpid-proton-0.17.0-2.el7 qpid-proton-0.17.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-20 12:32:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA PROTON-1435 None None None 2017-03-08 18:35:05 UTC

Description Jitka Plesnikova 2017-03-01 14:05:08 UTC
Description of problem:
Package qpid-proton fails to build from source in Fedora rawhide and Fedora 26 with error:

cc1plus: error: -Wformat-security ignored without -Wformat [-Werror=format-security]

Version-Release number of selected component (if applicable):
0.17.0-1.fc26

Steps to Reproduce:
koji build --scratch f27 qpid-proton-0.17.0-1.fc26.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/qpid-proton

Dependency changes since last successful build
 	gcc 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	cpp 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libgcc 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libstdc++ 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libgomp 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	perl-threads-shared 	1.54-2.fc26 	> 	1.55-1.fc26
	libnghttp2 	1.19.0-2.fc26 	> 	1.20.0-1.fc26
	perl-threads 	1:2.12-2.fc26 	> 	1:2.15-1.fc26
	libstdc++-devel 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	gcc-c++ 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26

Comment 1 Fedora Update System 2017-05-11 22:51:57 UTC
qpid-proton-0.17.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-75ac2fa493

Comment 2 Fedora Update System 2017-05-11 22:52:06 UTC
qpid-proton-0.17.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5a9ea6e5a6

Comment 3 Fedora Update System 2017-05-11 22:52:12 UTC
qpid-proton-0.17.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-be46486dbc

Comment 4 Fedora Update System 2017-05-11 22:52:17 UTC
qpid-proton-0.17.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb21014ab8

Comment 5 Fedora Update System 2017-05-11 22:52:23 UTC
qpid-proton-0.17.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9b2bc980d4

Comment 6 Fedora Update System 2017-05-12 13:41:42 UTC
qpid-proton-0.17.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-75ac2fa493

Comment 7 Fedora Update System 2017-05-12 19:52:45 UTC
qpid-proton-0.17.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5a9ea6e5a6

Comment 8 Fedora Update System 2017-05-12 19:56:42 UTC
qpid-proton-0.17.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-be46486dbc

Comment 9 Fedora Update System 2017-05-12 22:35:13 UTC
qpid-proton-0.17.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb21014ab8

Comment 10 Fedora Update System 2017-05-13 01:12:52 UTC
qpid-proton-0.17.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9b2bc980d4

Comment 11 Fedora Update System 2017-05-20 12:32:00 UTC
qpid-proton-0.17.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-24 04:55:37 UTC
qpid-proton-0.17.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-06-06 06:17:06 UTC
qpid-proton-0.17.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-06-06 06:24:54 UTC
qpid-proton-0.17.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-06-09 18:55:22 UTC
qpid-proton-0.17.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.